NumericField.DataType (Lucene 3.6.2 API)
Keywords: org.apache.lucene.document.NumericField.DataType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.document
Enum NumericField.DataType

    java.lang.Object
      java.lang.Enum<NumericField.DataType>
          org.apache.lucene.document.NumericField.DataType

All Implemented Interfaces:
  Serializable, Comparable<NumericField.DataType>

Enclosing class:
  NumericField

    public static enum NumericField.DataType

extends Enum<NumericField.DataType>

Data type of the value in `NumericField`.

Since:
  3.2

Enum Constant Summary
`DOUBLE`
`FLOAT`
`INT`
`LONG`

Method Summary
`static NumericField.DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumericField.DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INT

    public static final NumericField.DataType INT

### LONG

    public static final NumericField.DataType LONG

### FLOAT

    public static final NumericField.DataType FLOAT

### DOUBLE

    public static final NumericField.DataType DOUBLE

Method Detail

### values

    public static final NumericField.DataType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NumericField.DataType c : NumericField.DataType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NumericField.DataType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD